###################################################
### chunk number 1: 
###################################################
#line 185 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
library(psych)
data(sat.act) 
describe(sat.act)  #basic descriptive statistics


###################################################
### chunk number 2: 
###################################################
#line 195 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
 #basic descriptive statistics by a grouping variable.
describe.by(sat.act,sat.act$gender,skew=FALSE,ranges=FALSE)


###################################################
### chunk number 3: 
###################################################
#line 204 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
sa.mat <- describe.by(sat.act,list(sat.act$gender,sat.act$education),
 skew=FALSE,ranges=FALSE,mat=TRUE)
head(sa.mat)
tail(sa.mat)


###################################################
### chunk number 4: 
###################################################
#line 217 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
x <- matrix(1:120,ncol=10,byrow=TRUE)
new.x <- scrub(x,3:5,min=c(30,40,50),max=70,isvalue=45,newvalue=NA)
new.x


###################################################
### chunk number 5: pairspanels
###################################################
#line 239 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png( 'pairspanels.png' )
pairs.panels(sat.act)
dev.off()


###################################################
### chunk number 6: affect
###################################################
#line 254 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png('affect.png')
pairs.panels(flat[15:18],bg=c("red","black","white","blue")[maps$Film],pch=21,main="Affect varies by movies (study 'flat')")
dev.off()


###################################################
### chunk number 7: 
###################################################
#line 278 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
data(epi.bfi)
error.bars.by(epi.bfi[,6:10],epi.bfi$epilie<4)


###################################################
### chunk number 8: 
###################################################
#line 291 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
error.bars.by(sat.act[5:6],sat.act$gender,bars=TRUE,labels=c("Male","Female"),ylab="SAT score",xlab="")


###################################################
### chunk number 9: 
###################################################
#line 303 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
data(bfi)
with(bfi,{bi.bars(age,gender,ylab="Age",main="Age by males and females")})


###################################################
### chunk number 10: corplot.png
###################################################
#line 317 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png('corplot.png')
cor.plot(Thurstone,main="9 cognitive variables from Thurstone")
dev.off()


###################################################
### chunk number 11: circplot.png
###################################################
#line 330 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png('circplot.png')
circ <- sim.circ(24)
r.circ <- cor(circ)
cor.plot(r.circ,main='24 variables in a circumplex')
dev.off()


###################################################
### chunk number 12: spider.png
###################################################
#line 347 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png('spider.png')
op<- par(mfrow=c(2,2))
spider(y=c(1,6,12,18),x=1:24,data=r.circ,fill=TRUE,main="Spider plot of 24 circumplex variables")
op <- par(mfrow=c(1,1))
dev.off()


###################################################
### chunk number 13: 
###################################################
#line 367 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
corr.test(sat.act)


###################################################
### chunk number 14: 
###################################################
#line 378 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
r.test(50,.3)


###################################################
### chunk number 15: 
###################################################
#line 383 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
r.test(30,.4,.6)


###################################################
### chunk number 16: 
###################################################
#line 389 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
r.test(103,.4,.5,.1)


###################################################
### chunk number 17: 
###################################################
#line 394 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
r.test(103,.5,.6,.7,.5,.5,.8)  #steiger Case B 


###################################################
### chunk number 18: 
###################################################
#line 401 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
cortest(sat.act)


###################################################
### chunk number 19: 
###################################################
#line 411 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
draw.tetra()


###################################################
### chunk number 20: 
###################################################
#line 484 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
f3t <- fa(Thurstone,3,n.obs=213)
f3t 


###################################################
### chunk number 21: 
###################################################
#line 505 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
f3 <- fa(Thurstone,3,n.obs = 213,fm="pa")
f3o <- target.rot(f3)
f3o


###################################################
### chunk number 22: 
###################################################
#line 527 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
f3w <- fa(Thurstone,3,n.obs = 213,fm="wls")
print(f3w,cut=0,digits=3)


###################################################
### chunk number 23: 
###################################################
#line 539 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
plot(f3t)


###################################################
### chunk number 24: 
###################################################
#line 550 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
fa.diagram(f3t)


###################################################
### chunk number 25: 
###################################################
#line 568 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
p3p <-principal(Thurstone,3,n.obs = 213,rotate="Promax")
p3p


###################################################
### chunk number 26: 
###################################################
#line 586 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
om.h <- omega(Thurstone,n.obs=213,sl=FALSE)
op <- par(mfrow=c(1,1))


###################################################
### chunk number 27: 
###################################################
#line 597 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
om <- omega(Thurstone,n.obs=213)


###################################################
### chunk number 28: 
###################################################
#line 628 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
data(bfi)
ic <- iclust(bfi[1:25])


###################################################
### chunk number 29: 
###################################################
#line 641 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
summary(ic)  #show the results


###################################################
### chunk number 30: 
###################################################
#line 669 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
f2 <- fa(bfi[1:10],2,n.iter=20)
f2


###################################################
### chunk number 31: 
###################################################
#line 687 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
f4 <- fa(bfi[1:25],4,fm="pa")
factor.congruence(f4,ic)


###################################################
### chunk number 32: 
###################################################
#line 696 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
factor.congruence(list(f3t,f3o,om,p3p))


###################################################
### chunk number 33: 
###################################################
#line 741 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
vss <- vss(bfi[1:25],title="Very Simple Structure of a Big 5 inventory")


###################################################
### chunk number 34: 
###################################################
#line 749 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
vss


###################################################
### chunk number 35: 
###################################################
#line 758 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
fa.parallel(bfi[1:25],main="Parallel Analysis of a Big 5 inventory")


###################################################
### chunk number 36: 
###################################################
#line 776 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
v16 <- sim.item(16)
s <- c(1,3,5,7,9,11,13,15)
f2 <- fa(v16[,s],2)
fe <- fa.extension(cor(v16)[s,-s],f2)
fa.diagram(f2,fe=fe)


###################################################
### chunk number 37: 
###################################################
#line 831 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
set.seed(42)
r9 <- sim.hierarchical(n=500,raw=TRUE)$observed
round(cor(r9),2)
alpha(r9)


###################################################
### chunk number 38: 
###################################################
#line 838 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
keys <- c(1,-1,1,1,1,1,1)
alpha(attitude,keys)


###################################################
### chunk number 39: 
###################################################
#line 844 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
keys <- c(1,1,1,1,1,1,1)
alpha(attitude,keys)


###################################################
### chunk number 40: 
###################################################
#line 852 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
items <- sim.congeneric(N=500,short=FALSE,low=-2,high=2,categorical=TRUE) #500 responses to 4 discrete items
alpha(items$observed)  #item response analysis of congeneric measures


###################################################
### chunk number 41: 
###################################################
#line 907 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
om.9 <- omega(r9,title="9 simulated variables")


###################################################
### chunk number 42: 
###################################################
#line 918 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
om.9


###################################################
### chunk number 43: 
###################################################
#line 924 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
omegaSem(r9,n.obs=500)


###################################################
### chunk number 44: 
###################################################
#line 931 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
guttman(r9)


###################################################
### chunk number 45: 
###################################################
#line 952 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
 keys <- make.keys(nvars=28,list(Agree=c(-1,2:5),Conscientious=c(6:8,-9,-10),
 Extraversion=c(-11,-12,13:15),Neuroticism=c(16:20),
 Openness = c(21,-22,23,24,-25)),
 item.labels=colnames(bfi))
 keys


###################################################
### chunk number 46: 
###################################################
#line 964 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
 keys.1<- make.keys(10,list(Agree=c(-1,2:5),Conscientious=c(6:8,-9,-10)))
keys.2 <- make.keys(15,list(Extraversion=c(-1,-2,3:5),Neuroticism=c(6:10),
 Openness = c(11,-12,13,14,-15)))
 keys.25 <- super.matrix(keys.1,keys.2)


###################################################
### chunk number 47: 
###################################################
#line 976 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
 scores <- score.items(keys,bfi)
 scores


###################################################
### chunk number 48: scores
###################################################
#line 984 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
png('scores.png')
pairs.panels(scores$scores)
dev.off()


###################################################
### chunk number 49: 
###################################################
#line 1000 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
r.bfi <- cor(bfi,use="pairwise")
scales <- cluster.cor(keys,r.bfi)
summary(scales)


###################################################
### chunk number 50: 
###################################################
#line 1030 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
set.seed(17)
d9 <- sim.irt(9,1000,-2.5,2.5,mod="normal") #dichotomous items
test <- irt.fa(d9$items)
test 


###################################################
### chunk number 51: 
###################################################
#line 1040 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
op <- par(mfrow=c(3,1))
plot(test,type="ICC")
plot(test,type="IIC")
plot(test,type="test")
op <- par(mfrow=c(1,1))


###################################################
### chunk number 52: 
###################################################
#line 1055 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
data(bfi)
e.irt <- irt.fa(bfi[11:15])
e.irt 


###################################################
### chunk number 53: 
###################################################
#line 1065 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
e.info  <- plot(e.irt,type="IIC")


###################################################
### chunk number 54: 
###################################################
#line 1076 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
print(e.info,sort=TRUE)


###################################################
### chunk number 55: 
###################################################
#line 1086 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
omega(test,2,poly=TRUE)


###################################################
### chunk number 56: 
###################################################
#line 1100 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"

C <- cov(sat.act,use="pairwise")
model1 <- lm(ACT~ gender + education + age, data=sat.act)
summary(model1)


###################################################
### chunk number 57: 
###################################################
#line 1107 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
#compare with mat.regress
set.cor(c(4:6),c(1:3),C, n.obs=700)


###################################################
### chunk number 58: 
###################################################
#line 1187 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
xlim=c(0,10)
ylim=c(0,10)
plot(NA,xlim=xlim,ylim=ylim,main="Demontration of dia functions",axes=FALSE,xlab="",ylab="")
ul <- dia.rect(1,9,labels="upper left",xlim=xlim,ylim=ylim)
ll <- dia.rect(1,3,labels="lower left",xlim=xlim,ylim=ylim)
lr <- dia.ellipse(9,3,"lower right",xlim=xlim,ylim=ylim)
ur <- dia.ellipse(9,9,"upper right",xlim=xlim,ylim=ylim)
ml <- dia.ellipse(3,6,"middle left",xlim=xlim,ylim=ylim)
mr <- dia.ellipse(7,6,"middle right",xlim=xlim,ylim=ylim)
bl <- dia.ellipse(1,1,"bottom left",xlim=xlim,ylim=ylim)
br <- dia.rect(9,1,"bottom right",xlim=xlim,ylim=ylim)
dia.arrow(from=lr,to=ul,labels="right to left")
dia.arrow(from=ul,to=ur,labels="left to right")
dia.curved.arrow(from=lr,to=ll$right,labels ="right to left")
dia.curved.arrow(to=ur,from=ul$right,labels ="left to right")
dia.curve(ll$top,ul$bottom,"double")  #for rectangles, specify where to point 
dia.curved.arrow(mr,ur,"up")  #but for ellipses, just point to it.
dia.curve(ml,mr,"across")
dia.arrow(ur,lr,"top down")
dia.curved.arrow(br$top,lr$bottom,"up")
dia.curved.arrow(bl,br,"left to right")
dia.arrow(bl,ll$bottom)
dia.curved.arrow(ml,ll$right)
dia.curved.arrow(mr,lr$top)


###################################################
### chunk number 59: 
###################################################
#line 1282 "d:/Rcompile/CRANpkg/local/2.12/psych/inst/doc/overview.Rnw"
sessionInfo()


